import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_nginx_is_installed(host):
    nginx = host.package("nginx")
    assert nginx.is_installed


def test_nginx_running_and_enabled(host):
    nginx = host.service("nginx")
    assert nginx.is_running
    assert nginx.is_enabled


def test_nginx_process(host):
    # Verify worker procs are running
    master = host.process.get(user="root", comm="nginx")
    workers = host.process.filter(ppid=master.pid)
    assert len(workers) > 0


def test_nginx_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://0.0.0.0:80").is_listening
